# spatiotemporal-commons-file

**时空开放平台 公用组件-文件接口服务**

实现基于minio/ftp文件服务器的文件服务能力，供其它服务集成调用。

## 使用方法

* 在工程pom.xml文件添加依赖。

```xml
	<dependency>
		<groupId>cn.spatiotemporal</groupId>
		<artifactId>spatiotemporal-commons-file</artifactId>
		<version>1.0.0-RELEASE</version>
	</dependency>
```
* 根据所选文件服务器类型，在工程yml配置文件里添加配置段。

```java
uploadservice:
##  （文件服务器类型：minio/ftp，两选一）
  type: minio   
  ## minio配置段示例
  minio:
    endpoint: http://192.168.59.120:9000
    accessKey: minioadmin
    secretKey: minioadmin123456
    bucketName: uploads
  ## ftp配置段示例
  ftp:
    host: 192.168.59.181
    port: 21
    username: ftp
    password: ftp
    requestDir: upload
    encoding: GBK
```

+ 文件上传Mapping地址为：`/api/v1/files/upload`


+ 文件删除Mapping地址为：`/api/v1/files/delete`

## License
时空开放平台是一个基于[Apache 2.0 license](https://www.apache.org/licenses/LICENSE-2.0.html)发布的开源软件。

